\documentclass[10pt]{article}

\usepackage{adjustbox}
\usepackage{amsmath}
\usepackage[french, onelanguage]{algorithm2e}
\usepackage[utf8]{inputenc}
\usepackage[french]{babel}
\usepackage{csquotes}
\usepackage[T1]{fontenc}
\usepackage{geometry}
\usepackage{glossaries}
\usepackage{graphicx}
\usepackage{caption}
\usepackage{subcaption}
\usepackage[hidelinks]{hyperref}
\usepackage[utf8]{inputenc}
\usepackage{listingsutf8}
\usepackage{lstautogobble}
\usepackage{tabularx}
\usepackage{textcase}
\usepackage{tikz}
\usepackage{tocloft}
\usepackage{verbatim}
\usepackage{xcolor}
\usepackage{fancyhdr}
%\usepackage[pdf]{pstricks}
%\usepackage{auto-pst-pdf}
%\usepackage{uml}

\makeglossaries


\usetikzlibrary{calc, shapes.multipart, chains, arrows}

\definecolor{RoyalBlue}{cmyk}{1, 0.50, 0, 0}

\lstset{language=C++,
  keywordstyle=\color{RoyalBlue},
  basicstyle=\scriptsize\ttfamily,
  commentstyle=\ttfamily\itshape\color{darkgray},
  stringstyle=\ttfamily,
  breaklines=true,
  keepspaces=true,
  numbers=left,
  numbersep=5pt,
  showspaces=false,
  showstringspaces=false,
  showtabs=false,
  tabsize=4,
  autogobble=true,
  inputencoding=utf8/latin1
}

\geometry{
  a4paper,
  total={170mm,237mm},
  left=20mm,
  top=30mm,
}

\pagestyle{fancy}
\setlength{\headheight}{55.6pt}
\addtolength{\topmargin}{-43.6pt}
\setlength{\footskip}{60pt}
\fancyhf{}
\rhead{\includegraphics[width=4cm]{pictures/header.jpg}}
\rfoot{\includegraphics[width=4cm]{pictures/footer.jpg}}

\begin{document}

\begin{titlepage}
	\centering
	\vspace*{\fill}
	\begin{center}
		\Huge
		\textbf{Comptes Justes}\\
		\vspace*{0.5cm}
		\large
		\textit{Giorgio Caculli LA196672, Théo Desmet LA188756, Guillaume Lambert LA198116, Mathieu Peeters LA180084, Tanguy Taminiau LA199566, \\ Groupe 05}
		\vspace*{0.5cm}
		\\ \today
	\end{center}
	\vspace*{\fill}
	\thispagestyle{fancy}
\end{titlepage}

\newpage
\tableofcontents

\newpage
\input{intro}
\newpage
\input{analyse}
\newpage
\input{etat}
\newpage
\input{critique}
\newpage
\input{conclusion}
%\newpage
%\printglossary

\end{document}
